# The Red Matrix: RedFile Class Reference

All Classes Namespaces Files Functions Variables Pages
RedFile Class Reference
Inheritance diagram for RedFile:

## Public Member Functions

| __construct ($name, $data, &$auth)
| getName ()
| setName ($newName)
| put ($data)
| get ()
| getETag ()
| getContentType ()
| getSize ()
| getLastModified ()
| delete ()

## Private Attributes

| $data
| $auth
| $name

## Constructor & Destructor Documentation

RedFile::__construct | ( |  | $name,
|  |  | $data,
|  | & | $auth
| ) |  |

## Member Function Documentation

RedFile::delete | ( |  | ) |

RedFile::get | ( |  | ) |

RedFile::getContentType | ( |  | ) |

RedFile::getETag | ( |  | ) |

RedFile::getLastModified | ( |  | ) |

RedFile::getName | ( |  | ) |

RedFile::getSize | ( |  | ) |

RedFile::put | ( |  | $data | ) |

RedFile::setName | ( |  | $newName | ) |

## Member Data Documentation

RedFile::$auth

private

Referenced by __construct().

RedFile::$data

private

Referenced by __construct(), and put().

RedFile::$name

private

Referenced by __construct().

The documentation for this class was generated from the following file:

- include/reddav.php